#!/bin/sh

TMPFILE=`mktemp`

unzip -Z1 "$1" | grep -v "/$" > $TMPFILE

cat $TMPFILE | while read FILEPATH
do
	FILEHASH=`unzip -p "$1" "$FILEPATH" | zdhash.sh`
	echo $FILEHASH "$FILEPATH"
done

rm $TMPFILE


unzip -Z1 "$1" | grep "/$" > $TMPFILE

cat $TMPFILE | while read FILEPATH
do
	echo $FILEPATH $FILEPATH
done

rm $TMPFILE
